---
title: CSSTranslate
slug: Web/API/CSSTranslate
tags:
  - API
  - CSS Typed Object Model API
  - CSSTransformComponent
  - CSSTransformFunction
  - CSSTranslate
  - Experimental
  - Houdini
  - Interface
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p class="summary">The <strong><code>CSSTranslate</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}} represents the <a href="/en-US/docs/Web/CSS/transform-function/translate()">translate()</a> value of the individual {{CSSXRef('transform')}} property in CSS. It inherits properties and methods from its parent {{domxref('CSSTransformValue')}}.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("CSSTranslate.CSSTranslate()")}}</dt>
 <dd>Creates a new <code>CSSTranslate</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('CSSTranslate.x','x')}}</dt>
 <dd>Returns or sets the x-axis value.</dd>
 <dt>{{domxref('CSSTranslate.y','y')}}</dt>
 <dd>Returns or sets the y-axis value.</dd>
 <dt>{{domxref('CSSTranslate.z','z')}}</dt>
 <dd>Returns or sets the z-axis value.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM')}}</td>
   <td>{{Spec2('CSS Typed OM','#csstranslate','CSSTranslate')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTranslate")}}</p>
